## org.eclipse.emf.edit.tree
Interface TreeFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  TreeFactoryImpl

    public interface TreeFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `TreePackage`

Field Summary
`static TreeFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`TreeNode` `createTreeNode()` Returns a new object of class 'Node'
`TreePackage` `getTreePackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final TreeFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createTreeNode

    TreeNode createTreeNode()

  Returns a new object of class 'Node'.

  Returns:
    a new object of class 'Node'.

### getTreePackage

    TreePackage getTreePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.